Endpoint Parameters
-
Request parameters
Name Type Origin Description ClientKey ClientKey Query-String Client Id SkipToken String Query-String Id token of entity to start taking elements from. Top Integer Query-String Number of elements to retrieve. -
Response Parameters
View Response CodesName Type Description __count Number The total count of items in the feed. __next String The link for the next page of items in the feed. Data PeriodicPaymentWithdrawal [] The collection of entities for this feed. MaxRows Number The maximum number of rows that can be returned (if applicable). -
Request Example
Request URL
GET /atr/v1/cashmanagement/periodicpayment?ClientKey=zpSlGZ4F0cPIx59wR3HP1g==&SkipToken=stringValue&Top=99 -
Response Example
Response body
{ "Data": [ { "AccountCurrency": "stringValue", "AccountId": "stringValue", "AccountKey": "dIm75edbgnW6aBK3CIc-sw==", "Amount": 10, "AmountInAccountCurrency": 10, "ClientId": 99, "ClientKey": "zpSlGZ4F0cPIx59wR3HP1g==", "ClientName": "stringValue", "CreatedDate": "2028-05-02T15:55:45.173032Z", "Currency": "stringValue", "EndByDate": "2025-07-16T18:04:52.267452Z", "ExternalAccountId": "stringValue", "Frequency": "Quarterly", "FxRate": 10, "MessageToBeneficiary": "stringValue", "NextPaymentDate": "2027-03-06T04:04:26.826465Z", "PeriodicPaymentId": 99, "StartDate": "2028-04-05T14:10:41.948737Z" } ], "MaxRows": 99 }